      subroutine system( process )
!
!*******************************************************************************
!                                                                              *
!       Author : J.Jansen                     Date : 18 October 1993           *
!  Revision : 1.0           Author : J.Jansen        Date : 23 August 2000     !
!  Revision : 1.1           Author : J.Jansen        Date : 12 February 2001   !
!                                                                              *
!------------------------------------------------------------------------------*
!                                                                              *
!  Subroutine to spawn a process                                               *
!                                                                              *
! VMS(VAX,AXP) version                                                         *
!                                                                              *
!------------------------------------------------------------------------------*
!                                                                              *
!    Variable           Type                Purpose                            *
!    process          char*(*)      Process to spawn                           *
!    length           integer       Length of process                          *
!    process_name     char*80       Process name                               *
!    ifirst           integer       Position of the first non space            *
!                                    character in process_name                 *
!    last_name        integer       Position of the last non space character   *
!                                    in process_name                           *
!    num_pid          integer       Pid number                                 *
!    icount           integer       Existing process counter                   *
!    i                integer       Do-loop parameter                          *
!                                                                              *
!*******************************************************************************
!
!DEC$ ATTRIBUTES ALIAS:'LIB$SPAWN' :: lib$spawn
!DEC$ ATTRIBUTES ALIAS:'LIB$GETJPI' :: lib$getjpi
!
      include '($jpidef)/list'
!
      character*(*) process
      character*80 process_name
      integer firstns
!
      length = len( process )
      do while ( process( length:length ) .eq. ' ' .or. process( &
        length:length ) .eq. char( 0 ) )
        length = length - 1
      end do
      process_name = process( 1:length )
      ifirst = 1
      do while ( process_name( ifirst:ifirst ) .ne. ' ' )
        ifirst = ifirst + 1
      end do
      process_name = process_name( ifirst: )
      last_name = length - ifirst + 1
      if ( last_name .gt. 13 ) then
        last_name = 13
      end if
      num_pid = 0
      call lib$getjpi( jpi$_pid , , process_name( 1:last_name ) , &
                       num_pid )
      if ( num_pid .eq. 0 ) then
        call lib$spawn( process( 1:length ) , , , , process_name( 1: &
                    last_name ) )
        return
      end if
      icount = 0
      last_name = last_name + 2
      process_name( last_name-1:last_name-1 ) = '_'
51    icount = icount + 1
      process_name( last_name:last_name ) = char( icount + 48 )
      num_pid = 0
      call lib$getjpi( jpi$_pid , , process_name( 1:last_name ) , &
                       num_pid )
      if ( num_pid .eq. 0 ) then
        call lib$spawn( process( 1:length ) , , , , process_name( 1: &
                    last_name ) )
        return
      end if
      goto 51
!
      end
